### Method

# Vips Image vipssave

#### Declaration [src]

    int
    vips_vipssave (
      VipsImage* in,
      const char* filename,
      ...
    )

#### Description [src]

Write `in` to `filename` in VIPS format.

See also

`vips_vipsload()`.

This method is not directly available to language bindings.

#### Parameters

`filename`

  Type: `const char*`

  File to write to.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`...`

  Type: ``

  `NULL`-terminated list of optional named arguments.

#### Return value

Type: `int`

0 on success, -1 on error.